Name:		perl-Mojolicious-Plugin-DBViewer
Version:	0.31
Release:	1%{?dist}
Summary:	Mojolicious plugin to display database information on browser
License:	GPL+ or Artistic

URL:		https://metacpan.org/pod/Mojolicious::Plugin::DBViewer
Source0:	https://cpan.metacpan.org/authors/id/K/KI/KIMOTO/Mojolicious-Plugin-DBViewer-%{version}.tar.gz

BuildArch:	noarch
BuildRequires:	make
BuildRequires:	perl-interpreter
BuildRequires:	perl-generators
BuildRequires:	perl(strict)
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(Data::Page)
BuildRequires:	perl(DBIx::Custom)
BuildRequires:	perl(Validator::Custom)
BuildRequires:	perl(Mojolicious::Plugin::AutoRoute)
BuildRequires:	perl(Test::Mojo)

#	For tests.
BuildRequires:	perl(DBD::SQLite)

%{?perl_default_filter}

%description
This is Mojolicious plugin to display Database information on your browser.

Mojolicious::Plugin::DBViewer has the following features:
- Support MySQL and SQLite
- Display all table names
- Display show create table
- Execute simple select statement
- Display primary keys, null allowed columnes, database engines and charsets
  in all tables.



#------------------------------------------------------------------------------.
%prep
#------------------------------------------------------------------------------.

%autosetup -p 1 -n Mojolicious-Plugin-DBViewer-%{version}


#------------------------------------------------------------------------------.
%build
#------------------------------------------------------------------------------.

%{__perl} Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
make %{?_smp_mflags}


#------------------------------------------------------------------------------.
%install
#------------------------------------------------------------------------------.

make pure_install DESTDIR="${RPM_BUILD_ROOT}"

%{_fixperms} "${RPM_BUILD_ROOT}"/*


#------------------------------------------------------------------------------.
%check
#------------------------------------------------------------------------------.

make test


#------------------------------------------------------------------------------.
%files
#------------------------------------------------------------------------------.

%doc Changes
%{perl_vendorlib}/Mojolicious*
%{_mandir}/man3/Mojolicious*


#------------------------------------------------------------------------------.
%changelog
#------------------------------------------------------------------------------.

* Mon Dec 23 2024 Patrick Monnerat <patrick@monnerat.net> 0.31.1
- New upstream release.

* Fri Oct 25 2024 Patrick Monnerat <patrick@monnerat.net> 0.30-2
- Patch "noicons" to get rid of license-encumbered icon files.

* Sat Jul  8 2023 Patrick Monnerat <patrick@monnerat.net> 0.30-1
- Initial packaging.
